package com.bonus.material.basic.mapper;

import com.bonus.material.basic.domain.BmQrBoxInfo;
import com.bonus.material.basic.domain.BmQrcodeInfo;

import java.util.List;

/**
 * @Author ma_sh
 * @create 2024/12/10 17:27
 */
public interface BmQrBoxMapper {

    /**
     * 查询二维码标准箱管理
     * @param bmQrBoxInfo
     * @return
     */
    List<BmQrBoxInfo> find(BmQrBoxInfo bmQrBoxInfo);

    /**
     * 新增二维码标准箱管理
     * @param bmQrBoxInfo
     * @return
     */
    int insertBmQrcodeInfo(BmQrBoxInfo bmQrBoxInfo);

    /**
     * 修改二维码标准箱管理
     * @param bmQrBoxInfo
     * @return
     */
    int updateBmQrcodeInfo(BmQrBoxInfo bmQrBoxInfo);

    /**
     * 删除二维码标准箱管理
     * @param bmQrBoxInfo
     * @return
     */
    int deleteById(BmQrBoxInfo bmQrBoxInfo);

    /**
     * 根据二维码标准箱ID查询二维码数量
     * @param boxId
     * @return
     */
    int countBmQrcodeInfoByBoxId(Long boxId);

    /**
     * 查询二维码标准箱管理绑定详情列表
     * @param bmQrBoxInfo
     * @return
     */
    List<BmQrBoxInfo> getList(BmQrBoxInfo bmQrBoxInfo);
}
